%define name XIST
%define version 1.4.1
%define release 1

Summary: An XML-based extensible HTML generator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: Python
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Vendor: Walter Drwald <walter@livinglogic.de>
Url: http://www.livinglogic.de/Python/xist/

%description
XIST is an XML based extensible HTML generator. XIST is also a DOM parser (built on top of SAX2)
with a very simple and pythonesque tree API. Every XML element type corresponds to a Python class and these
Python classes provide a conversion method to transform the XML tree (e.g. into HTML).
XIST can be considered 'object oriented XSL'.

%prep
%setup

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
